### Hierarchy

- AtomStyle
  - AtomWindowStyle
  - AtomPopupStyle
  - AtomListBoxStyle
  - AtomNotificationStyle
  - AtomContentStyle
  - AtomFrameStyle
  - AtomPageLinkStyle
  - AtomTabbedPageStyle

### Implements

- IAtomStyle

## Index

### Constructors

- constructor

### Properties

- name
- styleSheet

### Accessors

- root

### Methods

- build
- getBaseProperty
- toString

## Constructors

### constructor

- new AtomStyle(styleSheet: AtomStyleSheet, name: string): AtomStyle

- - Defined in src/web/styles/AtomStyle.ts:26

  #### Parameters

  - ##### styleSheet: AtomStyleSheet

  - ##### name: string

  #### Returns AtomStyle

## Properties

### name

name: string

Implementation of IAtomStyle.name

- Defined in src/web/styles/AtomStyle.ts:30

### styleSheet

styleSheet: AtomStyleSheet

- Defined in src/web/styles/AtomStyle.ts:29

## Accessors

### root

- get root(): IStyleDeclaration

- - Defined in src/web/styles/AtomStyle.ts:24

  #### Returns IStyleDeclaration

## Methods

### build

- build(): void

- - Defined in src/web/styles/AtomStyle.ts:50

  #### Returns void

### getBaseProperty

- getBaseProperty<T>(tc: IClassOf<T>, name: keyof this): any

- - Defined in src/web/styles/AtomStyle.ts:35

  #### Type parameters

  - #### T

  #### Parameters

  - ##### tc: IClassOf<T>

  - ##### name: keyof this

  #### Returns any

### toString

- toString(): string

- - Defined in src/web/styles/AtomStyle.ts:57

  #### Returns string

Generated using TypeDoc